ibm-3270 (4.3ga10-2) unstable; urgency=medium

  * Disable parallel building.

 -- Philipp Kern <pkern@debian.org>  Sun, 02 Feb 2025 16:30:40 +0100

ibm-3270 (4.3ga10-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Jan 2025 18:52:46 +0100

ibm-3270 (4.1ga10-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1004994)

 -- Paul Gevers <elbrus@debian.org>  Sat, 05 Feb 2022 14:08:43 +0100

ibm-3270 (4.1ga10-1) unstable; urgency=medium

  * New upstream release.
    - Drop the Debian-specific desktop file and replace it with
      upstream's. This will now spawn x3270a to enable automatic
      font scaling. This wrapper script might go away again in the
      future.
    - Add new b3270 package.
    - Fix icon installation.
    - Drop x3270-doc as the documentation is no longer shipped with the
      source.
  * Bump recommended to debhelper compatibility level v13.

 -- Philipp Kern <pkern@debian.org>  Sun, 28 Nov 2021 12:06:59 +0100

ibm-3270 (4.0ga14-1) unstable; urgency=medium

  * New upstream release.

 -- Philipp Kern <pkern@debian.org>  Sun, 15 Aug 2021 15:24:29 +0200

ibm-3270 (4.0ga12-3) unstable; urgency=medium

  * Source-only upload

 -- Philipp Kern <pkern@debian.org>  Thu, 12 Nov 2020 19:16:04 +0100

ibm-3270 (4.0ga12-2) unstable; urgency=medium

  * Build tcl3270 and ship it in its own package (Closes: #407315)

 -- Philipp Kern <pkern@debian.org>  Wed, 28 Oct 2020 12:37:01 +0100

ibm-3270 (4.0ga12-1) unstable; urgency=medium

  * New upstream release
  * Removed obsolete x3270 menu file

 -- Philipp Kern <pkern@debian.org>  Wed, 28 Oct 2020 10:14:56 +0100

ibm-3270 (4.0ga11-3) unstable; urgency=medium

  * Install a .desktop file with corresponding icon.
  * Force PATH to /bin:/usr/bin in debian/rules.

 -- Philipp Kern <pkern@debian.org>  Fri, 28 Aug 2020 16:44:47 +0200

ibm-3270 (4.0ga11-2) unstable; urgency=medium

  * Disable parallel installation to fix a race around x3270-script,
    which is installed by multiple programs.
  * Fix CPPFLAGS inheritance in */configure.in.
  * Link mkfb using properly set LDFLAGS.

 -- Philipp Kern <pkern@debian.org>  Mon, 24 Aug 2020 11:01:29 +0200

ibm-3270 (4.0ga11-1) unstable; urgency=medium

  * New upstream release
  * Force PATH to /usr/bin:/bin in debian/rules.

 -- Philipp Kern <pkern@debian.org>  Sat, 22 Aug 2020 15:33:10 +0200

ibm-3270 (4.0ga10-2) unstable; urgency=medium

  * Force LOGNAME to buildd in debian/rules.

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Aug 2020 16:54:33 +0200

ibm-3270 (4.0ga10-1) unstable; urgency=medium

  * New upstream release
  * Add a watch file to find new upstream releases.
  * Bump debhelper compat level to 10 to get automatic autoreconf support.
    (However autoheader does not succeed right now, so it is disabled in
    debian/rules.)

 -- Philipp Kern <pkern@debian.org>  Sun, 02 Aug 2020 15:54:17 +0200

ibm-3270 (3.6ga12-1) unstable; urgency=medium

  * New upstream release

 -- Philipp Kern <pkern@debian.org>  Sun, 26 Apr 2020 15:48:54 +0200

ibm-3270 (3.6ga4-3) unstable; urgency=medium

  * Let x3270-doc breaks/replaces older versions of x3270 which contained
    the documentation in the main package. (Closes: #891014)

 -- Philipp Kern <pkern@debian.org>  Sat, 03 Mar 2018 10:41:29 +0100

ibm-3270 (3.6ga4-2) unstable; urgency=medium

  * Add two more license/copyright notices from individual files rather
    than top-level LICENSE declaration. (Closes: #889568)

 -- Philipp Kern <pkern@debian.org>  Thu, 15 Feb 2018 23:46:52 +0100

ibm-3270 (3.6ga4-1) unstable; urgency=medium

  * New upstream release.
  * Reintroduce the package into main rather than non-free as the
    licensing issues have been resolved.

 -- Philipp Kern <pkern@debian.org>  Sun, 04 Feb 2018 12:47:20 +0100

ibm-3270 (3.3.14ga11-1) unstable; urgency=medium

  * New upstream version.
  * Don't use imake.
    - Don't install app-defaults file anymore.
  * Enable PIE.
  * Use as-needed to avoid some unused libraries linked in.
  * Use Debhelper compat 9.

 -- Bastian Blank <waldi@debian.org>  Fri, 03 Oct 2014 22:17:31 +0200

ibm-3270 (3.3.10ga4-2) unstable; urgency=low

  * Fix section to match override.
  * Use debhelper compat level 7.
  * Use 3.0 (quilt) source format.

 -- Bastian Blank <waldi@debian.org>  Mon, 14 Dec 2009 11:48:53 +0000

ibm-3270 (3.3.10ga4-1) unstable; urgency=low

  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Mon, 23 Nov 2009 15:02:24 +0100

ibm-3270 (3.3.7p7-1) unstable; urgency=low

  * New upstream version.
  * Really fix build dependency. (closes: #489339)
  * Install documentation.
  * Fix menu entries.
  * Fix permission of icu converters.

 -- Bastian Blank <waldi@debian.org>  Sat, 05 Jul 2008 12:21:25 +0200

ibm-3270 (3.3.7p5-2) unstable; urgency=low

  * Build depend against xutils-dev.

 -- Bastian Blank <waldi@debian.org>  Fri, 04 Jul 2008 16:58:53 +0200

ibm-3270 (3.3.7p5-1) unstable; urgency=low

  * New upstream version.
  * Mark package as autobuildable.
  * Make files in orig tar executable again.
    - Fix app-defaults generation. (closes: #480788)
  * Fix font installation. (closes: #362404)

 -- Bastian Blank <waldi@debian.org>  Tue, 20 May 2008 08:15:32 +0200

ibm-3270 (3.3.7p2-1) unstable; urgency=low

  * New upstream version.
  * Again move to non-free. (closes: #388691)
  * Update Standards-Version to 3.7.3. No changes.

 -- Bastian Blank <waldi@debian.org>  Sat, 15 Mar 2008 15:54:47 +0100

ibm-3270 (3.3.4p6-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Put xfonts-x3270-misc's fonts in /usr/share/fonts/X11/misc/, not
    /usr/share/fonts/X11/fonts/misc/ (References: #362404).
  * Fix path to x3270.1x

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Sat,  3 Jun 2006 19:18:41 +0200

ibm-3270 (3.3.4p6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Change X11 paths in:
      + configure
      + debian/rules
      + debian/xfonts-x3270-misc.install
      + debian/xfonts-x3270-misc.postrm
      + debian/xfonts-x3270-misc.postinst
  * Add Build-Depends on xbitmap (Closes: #367830)

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Wed, 31 May 2006 12:23:59 +0200

ibm-3270 (3.3.4p6-3) unstable; urgency=low

  * Use libxaw7.

 -- Bastian Blank <waldi@debian.org>  Mon, 27 Mar 2006 19:37:02 +0200

ibm-3270 (3.3.4p6-2) unstable; urgency=low

  * Fix build dependencies. (closes: #353708)

 -- Bastian Blank <waldi@debian.org>  Tue, 21 Feb 2006 09:14:35 +0100

ibm-3270 (3.3.4p6-1) unstable; urgency=low

  * Reintroduce into main.
  * New upstream version.

 -- Bastian Blank <waldi@debian.org>  Mon, 13 Feb 2006 10:47:59 +0100

3270 (3.2.17-2) unstable; urgency=high

  * urgency=high because of missing build dependancies, I'd like to
    get this run through - 3.1.1.9 is *so* old.

  * Upstream patches
    - Crash in Keymap Display
    - pr3287 Just Prints Blanks
    - NULLs Selected Incorrectly
    - Missing Definitions for Ctrl-U and Ctrl-W
  * Policy Standards-Version 3.5.6.0 compliant
  * Build depends on libncurses5-dev (for c3270)            closes: #113659
  * Correct docbase                                         closes: #122811
  * Close some ancient, no longer applicable bugs
    - x3270-htmldoc /usr/doc usage                          closes: #91690

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Wed, 12 Dec 2001 15:00:00 -0500

3270 (3.2.17-1) unstable; urgency=high

  * New upstream version
  * Correct minor upstream flaws (and then use upstream patches)
  * Redo packaging
  * include whole enchilada {x,c,s,tcl}3270, and pr3287
  * split into a plethora of components:
    {x,c,s,tcl}3270, pr3287, xfonts-x3270-misc, 3270-common
  * html docs *not yet done*
  * Bug cleanup
    closes: #22468, #37855, #38425, #91694

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Thu, 28 Jun 2001 15:00:00 -0500

x3270 (3.2.15-0) private; urgency=low

  * New maintainer
  * New upstream version
  * Convert to debhelper V2 & DBS

 -- Richard A Nelson (Rick) <cowboy@debian.org>  Tue, 26 Dec 2000 20:00:00 -0500

x3270 (3.1.1.9-3) unstable; urgency=low

  * Reverted macro.c to version from 3.1.1.7 so that String() action works
    in login actions again.  (Bug #37855)

 -- Carey W. Evans <carey@debian.org>  Wed, 19 May 1999 21:10:04 +1200

x3270 (3.1.1.9-2) unstable; urgency=low

  * Added fix for bug in x3270-htmldoc 3.1.1.7-8's doc-base support.
  * Removed x3270-htmldoc menu, since doc-base handles dwww.

 -- Carey W. Evans <carey@debian.org>  Mon, 17 May 1999 21:41:15 +1200

x3270 (3.1.1.9-1) unstable; urgency=low

  * New upstream version.
  * Updated 5250 key mapping with my keymap from the previous version.
  * Changed to debhelper.

 -- Carey W. Evans <carey@debian.org>  Thu, 13 May 1999 22:40:18 +1200

x3270 (3.1.1.7-8) unstable; urgency=low

  * Add doc-base support.
  * Moved Attn key option to immediately follow other toggles.
  * Put correct path to ibm_hosts file in ibm_hosts.5 man page.
  * Updated COPYRIGHTS section of the man page, and text in `copyright'
    file.

 -- Carey W. Evans <carey@debian.org>  Thu, 28 Jan 1999 22:59:32 +1300

x3270 (3.1.1.7-7) unstable; urgency=low

  * Added option to change Attn key to send Interrupt() action from
    3.1.1.7-5, and documented it.
  * Updated menu descriptions with new description added to debian/control
    in 3.1.1.7-5, and removed icon="none" entries.

 -- Carey W. Evans <carey@debian.org>  Sat, 29 Aug 1998 16:19:13 +1200

x3270 (3.1.1.7-6) unstable; urgency=low

  * Don't define sys_errlist at all on Linux, so libc5 compilation should
    still work.
  * Added README.debian about the changes I've made.
  * Added Beat Rubischon to copyrights in "About x3270" dialog.

 -- Carey W. Evans <carey@debian.org>  Wed, 12 Aug 1998 21:23:05 +1200

x3270 (3.1.1.7-5) unstable; urgency=low

  * Added postrm to x3270-htmldoc to call update-menus.  (lintian)
  * Changed x3270-htmldoc index.html -> README.html link to
    index.html.gz -> README.html.gz.
  * Added Interrupt() action to send IAC IP, for real System Request on
    AS/400.
  * Added extra bindings to the 5250 keymap in X3270.xad.
  * Changed to not install app-defaults/X3270, since it's compiled into
    the program.  The provided file is installed with the examples.
  * Updated package description to mention the AS/400.

 -- Carey W. Evans <carey@debian.org>  Sun,  7 Jun 1998 13:38:19 +1200

x3270 (3.1.1.7-4) unstable; urgency=low

  * New maintainer.
  * Changed debian/rules to really make absolute link to /etc/ibm_hosts,
    not /etc/ibm_hostsoctave.conf (fixes #22476).
  * Add TODO file to binary package.
  * Updated copyright file given email from Beat Rubischon, and with
    comments about status of copyrights.
  * Remove Makefile generated from Imakefile.
  * Updated to policy 2.4.1.0.

 -- Carey W. Evans <carey@debian.org>  Thu, 21 May 1998 23:11:34 +1200

x3270 (3.1.1.7-3) non-free; urgency=low

  * Moved to non-free because of dubious copyright (fixes #16033)
  * Changed debian/rules so that x3270-htmldoc as its own directory in
    /usr/doc/ for the changelog and copyright (#fixes 19437, lintian)
  * Changed debian/rules to make /etc/ibm_hosts symlink absolute (lintian)
  * Changed debian/rules to install fonts in 0644 mode (lintian)
  * Upgraded to Debian Policy 2.4.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 10 Mar 1998 21:23:11 -0500

x3270 (3.1.1.7-2) unstable; urgency=low

  * Rebuilt as previous version still had libc5 dependency

 -- Dirk Eddelbuettel <edd@debian.org>  Sun,  2 Nov 1997 17:26:37 -0500

x3270 (3.1.1.7-1) unstable; urgency=low

  * Upgraded to upstream release x3270-3.1.1.7 (should fix bug #12868)
  * Compiled with GNU libc2 aka libc6 (this required two small patches
    for the *sys_errlist[] declaration which were sent upstream)
  * Linked against xlib6g and xpm4g
  * Uses pristine upstream sources as x3270_3.1.1.7.orig.tar.gz
  * Upgraded to Debian Policy 2.3.0.0

 -- Dirk Eddelbuettel <edd@debian.org>  Wed,  1 Oct 1997 21:23:15 -0400

x3270 (3.1.1.6-3) unstable; urgency=low

  * Moved ibm_hosts to /etc/x3270.conf, made it a conffile and installed a
    softlink to it at /usr/X11R6/lib/X11/x3270/ibm_hosts (fixes bug #10834)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat,  9 Aug 1997 17:59:11 -0400

x3270 (3.1.1.6-2) unstable; urgency=low

  * Corrected a mistake in the menu file for x3270-htmldoc

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 12 Jun 1997 21:15:10 -0400

x3270 (3.1.1.6-1) unstable; urgency=low

  * New upstream release x3270-3.1.1.6
  * Changed call of xset in postinst again (fixes bug #10195)
  * Added menu definitions for x3270 and x3270-htmldocs (thanks Joey !)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 8 Jun 1997 19:20:38 -0400

x3270 (3.1.1.5-1) unstable; urgency=low

  * New upstream release x3270-3.1.1.5
  * Changed postinst to call xset only if $HOSTDISPLAY is set (fixes bug #5012)
  * New package x3270-htmldoc contains the HTML versions of the ascii
    documentation already contained in the main package

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 4 Jan 1997 00:47:56 -0500

x3270 (3.1.1.3-3) unstable; urgency=low

  * Include ibm_hosts.5 manual page
  * Changed Priority: to optional

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Oct 1996 08:12:16 -0400

x3270 (3.1.1.3-2) unstable; urgency=low

  * Added Depends: field to debian/control

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 9 Oct 1996 00:49:05 -0400

x3270 (3.1.1.3-1) unstable; urgency=low

  * Initial Debian release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 7 Oct 1996 23:07:13 -0400

/* vim:set ai et tw=80 */
